$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.91-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.91-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '5DDCCDC57DD00627AEE4B734ABFF0749DDAB2EE114DC0F3BF648147A615E16F8'
  checksumType = 'sha256'
  checksum64 = '5DDCCDC57DD00627AEE4B734ABFF0749DDAB2EE114DC0F3BF648147A615E16F8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.17.91-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
